\name{segReadsList}
\docType{class}
\alias{segReadsList}
\alias{segReadsList-class}
\alias{[,segReadsList,ANY,ANY-method}
\alias{[[,segReadsList,ANY,ANY-method}
\alias{length,segReadsList-method}

\title{Segment the genome into candidate regions} 

\description{
Pre-process bidirectional aligned reads data from a single ChIP-Seq experiment to detect candidate regions with a minimum number of forward and reverse reads. These candidate regions will then be processed by PING.}

\usage{
segReadsList(List,paraSW,N,Nc)
}

\arguments{
\item{List}{This object contains an ExpressionSet}
\item{paraSW}{ String containing the genome name used (vector).}
\item{N}{ String containing the name of chromosome used (vector).}
\item{Nc}{ String containing the Position of the sequences (vector).}
}


\section{Methods}{
  \describe{
 \item{[}{\code{signature(x = "ping")}: subset gadem object.}
\item{[}{\code{signature(x = "ping")}: subset gadem object.}
	}
}


\section{Methods}{
  \describe{
 \item{length}{\code{signature(x = "ping")}: subset PING object.}
}
}

\references{
Xuekui Zhang, Gordon Robertson, Sangsoon Woo, Brad G. Hoffman, and Raphael Gottardo, "Probabilistic Inference for Nucleosome Positioning with MNase-based or Sonicated Short-read Data" GenomeBiology, under review.
}
\author{
  Xuekui Zhang <\email{xzhang@stat.ubc.ca}>, Sangsoon Woo, \email{swoo@fhcrc.org}
 and Raphael Gottardo <\email{raphael.gottardo@ircm.qc.ca}>
}
\seealso{
\code{\link{ping}}
}

\keyword{models}